# Program to calculate the percentage of hydrophobic amino acids in a FASTA sequence

# Sets list for hydrophobic amino acids
hydroAA = ["A","L","I","F","M","C","V"]

# Sets initial value for counter of hydrophobic amino acids
count_Hydro = 0

# Reads input file name
fastaIn = input("\nGive the input file name => ")
fh = open(fastaIn,'r')  # Opens input file
seqIn = fh.readlines()  # Reads all of the lines in a file and returns them as elements in a list
fh.close()              # Closes input file

# Removes the item at the given position in the list, and assigns it to firstLine.
firstLine = seqIn.pop(0)    # Removes first element of the list (get rid of the first line)

# Transforms list in string, so we will not get error with .replace()
seq=''.join(seqIn)

# Removes all "/n" from the string seq
seq = seq.replace("\n","")

# loop for to count hydrophobic amino acids 
for aa in seq:
    if aa in hydroAA:
        count_Hydro += 1
        
totalAA = len(seq)

# Shows results
print("FASTA identification: ",firstLine)
if totalAA > 0:
    print("\nPercentage of hydrophobic amino acids: %8.3f"%(100*count_Hydro/totalAA) )
else:
    print("\nError, no amino acids in the structure.")